aboutsummaryrefslogtreecommitdiff
path: root/package/ntp
diff options
context:
space:
mode:
authorGravatar Bernhard Reutner-Fischer <rep.dot.nop@gmail.com>2007-06-25 18:27:58 +0000
committerGravatar Bernhard Reutner-Fischer <rep.dot.nop@gmail.com>2007-06-25 18:27:58 +0000
commit5a69bcda3dde46b254b528a4ff381578b4e32dfc (patch)
tree8c70e5da78cbb5aba72e1337287a3b8bbbe774aa /package/ntp
parentfaf363f197c611cec7dfbb81bf1ff9bfff84bcd4 (diff)
downloadbuildroot-5a69bcda3dde46b254b528a4ff381578b4e32dfc.tar.gz
buildroot-5a69bcda3dde46b254b528a4ff381578b4e32dfc.tar.bz2
- Add a system-V init script to ntpd. Closes #518
Diffstat (limited to 'package/ntp')
-rw-r--r--package/ntp/ntp.mk1
-rwxr-xr-xpackage/ntp/ntp.sysvinit46
2 files changed, 47 insertions, 0 deletions
diff --git a/package/ntp/ntp.mk b/package/ntp/ntp.mk
index f09703cf2c..1bff81909e 100644
--- a/package/ntp/ntp.mk
+++ b/package/ntp/ntp.mk
@@ -57,6 +57,7 @@ $(NTP_DIR)/$(NTP_BINARY): $(NTP_DIR)/.configured
$(TARGET_DIR)/$(NTP_TARGET_BINARY): $(NTP_DIR)/$(NTP_BINARY)
install -m 755 $(NTP_DIR)/ntpd/ntpd $(TARGET_DIR)/usr/sbin/ntpd
install -m 755 $(NTP_DIR)/$(NTP_BINARY) $(TARGET_DIR)/$(NTP_TARGET_BINARY)
+ install -m 755 package/ntp/ntp.sysvinit $(TARGET_DIR)/etc/init.d/S49ntp
ntp: uclibc $(TARGET_DIR)/$(NTP_TARGET_BINARY)
diff --git a/package/ntp/ntp.sysvinit b/package/ntp/ntp.sysvinit
new file mode 100755
index 0000000000..4e8f1107f0
--- /dev/null
+++ b/package/ntp/ntp.sysvinit
@@ -0,0 +1,46 @@
+#! /bin/sh
+#
+# System-V init script for the openntp daemon
+#
+
+set -e
+
+PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
+DESC="network time protocol daemon"
+NAME=ntpd
+DAEMON=/usr/sbin/$NAME
+
+# Gracefully exit if the package has been removed.
+test -x $DAEMON || exit 0
+
+# Read config file if it is present.
+if [ -r /etc/default/$NAME ]
+then
+ . /etc/default/$NAME
+fi
+
+case "$1" in
+ start) echo -n "Starting $DESC: $NAME"
+ start-stop-daemon -S -q -x $DAEMON
+ echo "."
+ ;;
+ stop) echo -n "Stopping $DESC: $NAME"
+ start-stop-daemon -K -q -n $NAME
+ echo "."
+ ;;
+ reload|force-reload) echo -n "Reloading $DESC configuration..."
+ start-stop-daemon -K -q -n $NAME -s 1
+ echo "done."
+ ;;
+ restart) echo -n "Restarting $DESC: $NAME"
+ start-stop-daemon -K -q -n $NAME
+ sleep 1
+ start-stop-daemon -S -q -x $DAEMON
+ echo "."
+ ;;
+ *) echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-reload}" >&2
+ exit 1
+ ;;
+esac
+
+exit 0